# QFormLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QLayout.

### Constructor

- void QFormLayout(QWidget parent)

### Constructor Properties

- prototype: The QFormLayout prototype object
- FieldsStayAtSizeHint
- ExpandingFieldsGrow
- AllNonFixedFieldsGrow
- FieldGrowthPolicy( value )
- DontWrapRows
- WrapLongRows
- WrapAllRows
- RowWrapPolicy( value )
- LabelRole = 0
- FieldRole = 1
- SpanningRole = 2
- ItemRole( value )

### Prototype Object Properties

The QFormLayout prototype object inherits properties from the QLayout prototype object and also has the following properties.

- void addRow(QLayout layout)
- void getItemPosition(int index, int rowPtr, ItemRole rolePtr)
- void getLayoutPosition(QLayout layout, int rowPtr, ItemRole rolePtr)
- void getWidgetPosition(QWidget widget, int rowPtr, ItemRole rolePtr)
- void insertRow(int row, QLayout layout)
- QLayoutItem itemAt(int row, ItemRole role)
- QWidget labelForField(QLayout field)
- int rowCount()
- void setItem_private(int row, ItemRole role, QLayoutItem item)
- void setLayout(int row, ItemRole role, QLayout layout)
- void setSpacing(int arg__1)
- void setWidget(int row, ItemRole role, QWidget widget)
- int spacing()

### Instance Properties

QFormLayout objects inherit properties from the QFormLayout prototype object and also have the following properties.

- fieldGrowthPolicy
- rowWrapPolicy
- labelAlignment
- formAlignment
- horizontalSpacing
- verticalSpacing